---
displayed_sidebar: homepage
---

import ParameterTypes from "@site/src/components/ParameterTypes"

# TaxServiceRate

 **TaxServiceRate**: `Object`

The tax rate object as configured in Medusa. These may have an unspecified
numerical rate as they may be used for lookup purposes in the tax provider
plugin.

## Type declaration

<ParameterTypes parameters={[
  {
    "name": "code",
    "type": "`string` \\| `null`",
    "description": "The tax rate's code.",
    "optional": false,
    "defaultValue": "",
    "expandable": false,
    "children": []
  },
  {
    "name": "name",
    "type": "`string`",
    "description": "The tax rate's name.",
    "optional": false,
    "defaultValue": "",
    "expandable": false,
    "children": []
  },
  {
    "name": "rate",
    "type": "`number` \\| `null`",
    "description": "The tax rate.",
    "optional": true,
    "defaultValue": "",
    "expandable": false,
    "children": []
  }
]} />
